Create a checkout session

Creates a checkout session of a prescription and optional service baskets. Returns a checkout URL where the patient can complete the purchase. Prescription products and basket items are paid as split payments to different payment accounts.

Possible errors:

InsufficientStock (409 CONFLICT): One or more prescribed products do not have sufficient stock at the designated pharmacy. Example response body:

{
  "message": "Insufficient stock",
  "code": "CONFLICT",
  "id": "InsufficientStock",
  "payload": {
    "pharmacyId": "pha_123456",
    "products": [
      { "productId": "CF0001", "registryItemId": "RI0042" }
    ]
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Unique reference ID from telemedicine provider

redirectUrls
object
required
notifications
object

Notification settings

prescription
object
required
pharmacy
object
required
baskets
array of objects

Service item baskets paid to external payment accounts

baskets
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json